﻿@model MoviesViewModel
@inject MovieViewModel  model
@{
    ViewData["Title"] = "Top rated movies on site";
}
<h2>@ViewData["Title"]</h2> 

@{
    if (Model != null && Model.Movies != null)
    {
        <partial name="_ShowAllMoviesPartial" model="Model" />
    }
}

@if (Model.Movies.Count == 0)
{
    <p>No results found!</p>
}
